
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "layout",
    "style",
    "enforceCaptureSignature",
    "events",
    "extractAcroFields",
    "extractTextTags",
    "inPerson",
    "declineButton",
    "declineReasons",
    "disableDeclineOther",
    "disableDownloadForUncompletedPackage",
    "disableFirstInPersonAffidavit",
    "disableInPersonAffidavit",
    "disableOptOutOther",
    "disableSecondInPersonAffidavit",
    "documentToolbarOptions",
    "handOver",
    "hideCaptureText",
    "hideLanguageDropdown",
    "hidePackageOwnerInPerson",
    "hideWatermark",
    "maxAuthFailsAllowed",
    "optOutButton",
    "optOutReasons"
})
public class Ceremony {

    @JsonProperty("layout")
    private Layout layout;
    @JsonProperty("style")
    private Object style;
    @JsonProperty("enforceCaptureSignature")
    private Boolean enforceCaptureSignature;
    @JsonProperty("events")
    private Events events;
    @JsonProperty("extractAcroFields")
    private Boolean extractAcroFields;
    @JsonProperty("extractTextTags")
    private Boolean extractTextTags;
    @JsonProperty("inPerson")
    private Boolean inPerson;
    @JsonProperty("declineButton")
    private Boolean declineButton;
    @JsonProperty("declineReasons")
    private List<Object> declineReasons = null;
    @JsonProperty("disableDeclineOther")
    private Boolean disableDeclineOther;
    @JsonProperty("disableDownloadForUncompletedPackage")
    private Boolean disableDownloadForUncompletedPackage;
    @JsonProperty("disableFirstInPersonAffidavit")
    private Boolean disableFirstInPersonAffidavit;
    @JsonProperty("disableInPersonAffidavit")
    private Boolean disableInPersonAffidavit;
    @JsonProperty("disableOptOutOther")
    private Boolean disableOptOutOther;
    @JsonProperty("disableSecondInPersonAffidavit")
    private Boolean disableSecondInPersonAffidavit;
    @JsonProperty("documentToolbarOptions")
    private Object documentToolbarOptions;
    @JsonProperty("handOver")
    private Object handOver;
    @JsonProperty("hideCaptureText")
    private Boolean hideCaptureText;
    @JsonProperty("hideLanguageDropdown")
    private Boolean hideLanguageDropdown;
    @JsonProperty("hidePackageOwnerInPerson")
    private Boolean hidePackageOwnerInPerson;
    @JsonProperty("hideWatermark")
    private Boolean hideWatermark;
    @JsonProperty("maxAuthFailsAllowed")
    private Integer maxAuthFailsAllowed;
    @JsonProperty("optOutButton")
    private Boolean optOutButton;
    @JsonProperty("optOutReasons")
    private List<Object> optOutReasons = null;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("layout")
    public Layout getLayout() {
        return layout;
    }

    @JsonProperty("layout")
    public void setLayout(Layout layout) {
        this.layout = layout;
    }

    @JsonProperty("style")
    public Object getStyle() {
        return style;
    }

    @JsonProperty("style")
    public void setStyle(Object style) {
        this.style = style;
    }

    @JsonProperty("enforceCaptureSignature")
    public Boolean getEnforceCaptureSignature() {
        return enforceCaptureSignature;
    }

    @JsonProperty("enforceCaptureSignature")
    public void setEnforceCaptureSignature(Boolean enforceCaptureSignature) {
        this.enforceCaptureSignature = enforceCaptureSignature;
    }

    @JsonProperty("events")
    public Events getEvents() {
        return events;
    }

    @JsonProperty("events")
    public void setEvents(Events events) {
        this.events = events;
    }

    @JsonProperty("extractAcroFields")
    public Boolean getExtractAcroFields() {
        return extractAcroFields;
    }

    @JsonProperty("extractAcroFields")
    public void setExtractAcroFields(Boolean extractAcroFields) {
        this.extractAcroFields = extractAcroFields;
    }

    @JsonProperty("extractTextTags")
    public Boolean getExtractTextTags() {
        return extractTextTags;
    }

    @JsonProperty("extractTextTags")
    public void setExtractTextTags(Boolean extractTextTags) {
        this.extractTextTags = extractTextTags;
    }

    @JsonProperty("inPerson")
    public Boolean getInPerson() {
        return inPerson;
    }

    @JsonProperty("inPerson")
    public void setInPerson(Boolean inPerson) {
        this.inPerson = inPerson;
    }

    @JsonProperty("declineButton")
    public Boolean getDeclineButton() {
        return declineButton;
    }

    @JsonProperty("declineButton")
    public void setDeclineButton(Boolean declineButton) {
        this.declineButton = declineButton;
    }

    @JsonProperty("declineReasons")
    public List<Object> getDeclineReasons() {
        return declineReasons;
    }

    @JsonProperty("declineReasons")
    public void setDeclineReasons(List<Object> declineReasons) {
        this.declineReasons = declineReasons;
    }

    @JsonProperty("disableDeclineOther")
    public Boolean getDisableDeclineOther() {
        return disableDeclineOther;
    }

    @JsonProperty("disableDeclineOther")
    public void setDisableDeclineOther(Boolean disableDeclineOther) {
        this.disableDeclineOther = disableDeclineOther;
    }

    @JsonProperty("disableDownloadForUncompletedPackage")
    public Boolean getDisableDownloadForUncompletedPackage() {
        return disableDownloadForUncompletedPackage;
    }

    @JsonProperty("disableDownloadForUncompletedPackage")
    public void setDisableDownloadForUncompletedPackage(Boolean disableDownloadForUncompletedPackage) {
        this.disableDownloadForUncompletedPackage = disableDownloadForUncompletedPackage;
    }

    @JsonProperty("disableFirstInPersonAffidavit")
    public Boolean getDisableFirstInPersonAffidavit() {
        return disableFirstInPersonAffidavit;
    }

    @JsonProperty("disableFirstInPersonAffidavit")
    public void setDisableFirstInPersonAffidavit(Boolean disableFirstInPersonAffidavit) {
        this.disableFirstInPersonAffidavit = disableFirstInPersonAffidavit;
    }

    @JsonProperty("disableInPersonAffidavit")
    public Boolean getDisableInPersonAffidavit() {
        return disableInPersonAffidavit;
    }

    @JsonProperty("disableInPersonAffidavit")
    public void setDisableInPersonAffidavit(Boolean disableInPersonAffidavit) {
        this.disableInPersonAffidavit = disableInPersonAffidavit;
    }

    @JsonProperty("disableOptOutOther")
    public Boolean getDisableOptOutOther() {
        return disableOptOutOther;
    }

    @JsonProperty("disableOptOutOther")
    public void setDisableOptOutOther(Boolean disableOptOutOther) {
        this.disableOptOutOther = disableOptOutOther;
    }

    @JsonProperty("disableSecondInPersonAffidavit")
    public Boolean getDisableSecondInPersonAffidavit() {
        return disableSecondInPersonAffidavit;
    }

    @JsonProperty("disableSecondInPersonAffidavit")
    public void setDisableSecondInPersonAffidavit(Boolean disableSecondInPersonAffidavit) {
        this.disableSecondInPersonAffidavit = disableSecondInPersonAffidavit;
    }

    @JsonProperty("documentToolbarOptions")
    public Object getDocumentToolbarOptions() {
        return documentToolbarOptions;
    }

    @JsonProperty("documentToolbarOptions")
    public void setDocumentToolbarOptions(Object documentToolbarOptions) {
        this.documentToolbarOptions = documentToolbarOptions;
    }

    @JsonProperty("handOver")
    public Object getHandOver() {
        return handOver;
    }

    @JsonProperty("handOver")
    public void setHandOver(Object handOver) {
        this.handOver = handOver;
    }

    @JsonProperty("hideCaptureText")
    public Boolean getHideCaptureText() {
        return hideCaptureText;
    }

    @JsonProperty("hideCaptureText")
    public void setHideCaptureText(Boolean hideCaptureText) {
        this.hideCaptureText = hideCaptureText;
    }

    @JsonProperty("hideLanguageDropdown")
    public Boolean getHideLanguageDropdown() {
        return hideLanguageDropdown;
    }

    @JsonProperty("hideLanguageDropdown")
    public void setHideLanguageDropdown(Boolean hideLanguageDropdown) {
        this.hideLanguageDropdown = hideLanguageDropdown;
    }

    @JsonProperty("hidePackageOwnerInPerson")
    public Boolean getHidePackageOwnerInPerson() {
        return hidePackageOwnerInPerson;
    }

    @JsonProperty("hidePackageOwnerInPerson")
    public void setHidePackageOwnerInPerson(Boolean hidePackageOwnerInPerson) {
        this.hidePackageOwnerInPerson = hidePackageOwnerInPerson;
    }

    @JsonProperty("hideWatermark")
    public Boolean getHideWatermark() {
        return hideWatermark;
    }

    @JsonProperty("hideWatermark")
    public void setHideWatermark(Boolean hideWatermark) {
        this.hideWatermark = hideWatermark;
    }

    @JsonProperty("maxAuthFailsAllowed")
    public Integer getMaxAuthFailsAllowed() {
        return maxAuthFailsAllowed;
    }

    @JsonProperty("maxAuthFailsAllowed")
    public void setMaxAuthFailsAllowed(Integer maxAuthFailsAllowed) {
        this.maxAuthFailsAllowed = maxAuthFailsAllowed;
    }

    @JsonProperty("optOutButton")
    public Boolean getOptOutButton() {
        return optOutButton;
    }

    @JsonProperty("optOutButton")
    public void setOptOutButton(Boolean optOutButton) {
        this.optOutButton = optOutButton;
    }

    @JsonProperty("optOutReasons")
    public List<Object> getOptOutReasons() {
        return optOutReasons;
    }

    @JsonProperty("optOutReasons")
    public void setOptOutReasons(List<Object> optOutReasons) {
        this.optOutReasons = optOutReasons;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
