
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "documentsToConfirmCount",
    "documentsConfirmedCount",
    "approvalsToConfirmCount",
    "approvalsConfirmedCount",
    "documentsPartiallyCompletedCount",
    "approvalsToSignNowCount"
})
public class CurrentSignerProgress {

    @JsonProperty("documentsToConfirmCount")
    private String documentsToConfirmCount;
    @JsonProperty("documentsConfirmedCount")
    private String documentsConfirmedCount;
    @JsonProperty("approvalsToConfirmCount")
    private String approvalsToConfirmCount;
    @JsonProperty("approvalsConfirmedCount")
    private String approvalsConfirmedCount;
    @JsonProperty("documentsPartiallyCompletedCount")
    private String documentsPartiallyCompletedCount;
    @JsonProperty("approvalsToSignNowCount")
    private String approvalsToSignNowCount;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("documentsToConfirmCount")
    public String getDocumentsToConfirmCount() {
        return documentsToConfirmCount;
    }

    @JsonProperty("documentsToConfirmCount")
    public void setDocumentsToConfirmCount(String documentsToConfirmCount) {
        this.documentsToConfirmCount = documentsToConfirmCount;
    }

    @JsonProperty("documentsConfirmedCount")
    public String getDocumentsConfirmedCount() {
        return documentsConfirmedCount;
    }

    @JsonProperty("documentsConfirmedCount")
    public void setDocumentsConfirmedCount(String documentsConfirmedCount) {
        this.documentsConfirmedCount = documentsConfirmedCount;
    }

    @JsonProperty("approvalsToConfirmCount")
    public String getApprovalsToConfirmCount() {
        return approvalsToConfirmCount;
    }

    @JsonProperty("approvalsToConfirmCount")
    public void setApprovalsToConfirmCount(String approvalsToConfirmCount) {
        this.approvalsToConfirmCount = approvalsToConfirmCount;
    }

    @JsonProperty("approvalsConfirmedCount")
    public String getApprovalsConfirmedCount() {
        return approvalsConfirmedCount;
    }

    @JsonProperty("approvalsConfirmedCount")
    public void setApprovalsConfirmedCount(String approvalsConfirmedCount) {
        this.approvalsConfirmedCount = approvalsConfirmedCount;
    }

    @JsonProperty("documentsPartiallyCompletedCount")
    public String getDocumentsPartiallyCompletedCount() {
        return documentsPartiallyCompletedCount;
    }

    @JsonProperty("documentsPartiallyCompletedCount")
    public void setDocumentsPartiallyCompletedCount(String documentsPartiallyCompletedCount) {
        this.documentsPartiallyCompletedCount = documentsPartiallyCompletedCount;
    }

    @JsonProperty("approvalsToSignNowCount")
    public String getApprovalsToSignNowCount() {
        return approvalsToSignNowCount;
    }

    @JsonProperty("approvalsToSignNowCount")
    public void setApprovalsToSignNowCount(String approvalsToSignNowCount) {
        this.approvalsToSignNowCount = approvalsToSignNowCount;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
