
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "feedback",
    "titleBar",
    "breadcrumbs",
    "globalActions",
    "globalNavigation",
    "sessionBar"
})
public class Header {

    @JsonProperty("feedback")
    private Boolean feedback;
    @JsonProperty("titleBar")
    private Object titleBar;
    @JsonProperty("breadcrumbs")
    private Boolean breadcrumbs;
    @JsonProperty("globalActions")
    private GlobalActions globalActions;
    @JsonProperty("globalNavigation")
    private Boolean globalNavigation;
    @JsonProperty("sessionBar")
    private Boolean sessionBar;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("feedback")
    public Boolean getFeedback() {
        return feedback;
    }

    @JsonProperty("feedback")
    public void setFeedback(Boolean feedback) {
        this.feedback = feedback;
    }

    @JsonProperty("titleBar")
    public Object getTitleBar() {
        return titleBar;
    }

    @JsonProperty("titleBar")
    public void setTitleBar(Object titleBar) {
        this.titleBar = titleBar;
    }

    @JsonProperty("breadcrumbs")
    public Boolean getBreadcrumbs() {
        return breadcrumbs;
    }

    @JsonProperty("breadcrumbs")
    public void setBreadcrumbs(Boolean breadcrumbs) {
        this.breadcrumbs = breadcrumbs;
    }

    @JsonProperty("globalActions")
    public GlobalActions getGlobalActions() {
        return globalActions;
    }

    @JsonProperty("globalActions")
    public void setGlobalActions(GlobalActions globalActions) {
        this.globalActions = globalActions;
    }

    @JsonProperty("globalNavigation")
    public Boolean getGlobalNavigation() {
        return globalNavigation;
    }

    @JsonProperty("globalNavigation")
    public void setGlobalNavigation(Boolean globalNavigation) {
        this.globalNavigation = globalNavigation;
    }

    @JsonProperty("sessionBar")
    public Boolean getSessionBar() {
        return sessionBar;
    }

    @JsonProperty("sessionBar")
    public void setSessionBar(Boolean sessionBar) {
        this.sessionBar = sessionBar;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
