
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "header",
    "footer",
    "brandingBar",
    "iframe",
    "navigator"
})
public class Layout {

    @JsonProperty("header")
    private Header header;
    @JsonProperty("footer")
    private Object footer;
    @JsonProperty("brandingBar")
    private BrandingBar brandingBar;
    @JsonProperty("iframe")
    private Boolean iframe;
    @JsonProperty("navigator")
    private Boolean navigator;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("header")
    public Header getHeader() {
        return header;
    }

    @JsonProperty("header")
    public void setHeader(Header header) {
        this.header = header;
    }

    @JsonProperty("footer")
    public Object getFooter() {
        return footer;
    }

    @JsonProperty("footer")
    public void setFooter(Object footer) {
        this.footer = footer;
    }

    @JsonProperty("brandingBar")
    public BrandingBar getBrandingBar() {
        return brandingBar;
    }

    @JsonProperty("brandingBar")
    public void setBrandingBar(BrandingBar brandingBar) {
        this.brandingBar = brandingBar;
    }

    @JsonProperty("iframe")
    public Boolean getIframe() {
        return iframe;
    }

    @JsonProperty("iframe")
    public void setIframe(Boolean iframe) {
        this.iframe = iframe;
    }

    @JsonProperty("navigator")
    public Boolean getNavigator() {
        return navigator;
    }

    @JsonProperty("navigator")
    public void setNavigator(Boolean navigator) {
        this.navigator = navigator;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
