
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "documentsToCompleteCount",
    "documentsCompletedCount",
    "documentsToConfirmCount",
    "documentsConfirmedCount",
    "documentsPartiallyCompletedCount"
})
public class OverallProgress {

    @JsonProperty("documentsToCompleteCount")
    private String documentsToCompleteCount;
    @JsonProperty("documentsCompletedCount")
    private String documentsCompletedCount;
    @JsonProperty("documentsToConfirmCount")
    private String documentsToConfirmCount;
    @JsonProperty("documentsConfirmedCount")
    private String documentsConfirmedCount;
    @JsonProperty("documentsPartiallyCompletedCount")
    private String documentsPartiallyCompletedCount;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("documentsToCompleteCount")
    public String getDocumentsToCompleteCount() {
        return documentsToCompleteCount;
    }

    @JsonProperty("documentsToCompleteCount")
    public void setDocumentsToCompleteCount(String documentsToCompleteCount) {
        this.documentsToCompleteCount = documentsToCompleteCount;
    }

    @JsonProperty("documentsCompletedCount")
    public String getDocumentsCompletedCount() {
        return documentsCompletedCount;
    }

    @JsonProperty("documentsCompletedCount")
    public void setDocumentsCompletedCount(String documentsCompletedCount) {
        this.documentsCompletedCount = documentsCompletedCount;
    }

    @JsonProperty("documentsToConfirmCount")
    public String getDocumentsToConfirmCount() {
        return documentsToConfirmCount;
    }

    @JsonProperty("documentsToConfirmCount")
    public void setDocumentsToConfirmCount(String documentsToConfirmCount) {
        this.documentsToConfirmCount = documentsToConfirmCount;
    }

    @JsonProperty("documentsConfirmedCount")
    public String getDocumentsConfirmedCount() {
        return documentsConfirmedCount;
    }

    @JsonProperty("documentsConfirmedCount")
    public void setDocumentsConfirmedCount(String documentsConfirmedCount) {
        this.documentsConfirmedCount = documentsConfirmedCount;
    }

    @JsonProperty("documentsPartiallyCompletedCount")
    public String getDocumentsPartiallyCompletedCount() {
        return documentsPartiallyCompletedCount;
    }

    @JsonProperty("documentsPartiallyCompletedCount")
    public void setDocumentsPartiallyCompletedCount(String documentsPartiallyCompletedCount) {
        this.documentsPartiallyCompletedCount = documentsPartiallyCompletedCount;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
