
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "roles",
    "status",
    "description",
    "language",
    "id",
    "data",
    "autocomplete",
    "documents",
    "sender",
    "emailMessage",
    "limits",
    "notarized",
    "notaryRoleId",
    "settings",
    "signedDocumentDelivery",
    "trashed",
    "updated",
    "completed",
    "consent",
    "due",
    "visibility",
    "type",
    "messages",
    "name",
    "created",
    "bulkSendable"
})
public class Result {

    @JsonProperty("roles")
    private List<Role> roles = null;
    @JsonProperty("status")
    private String status;
    @JsonProperty("description")
    private String description;
    @JsonProperty("language")
    private String language;
    @JsonProperty("id")
    private String id;
    @JsonProperty("data")
    private Data data;
    @JsonProperty("autocomplete")
    private Boolean autocomplete;
    @JsonProperty("documents")
    private List<Object> documents = null;
    @JsonProperty("sender")
    private Sender sender;
    @JsonProperty("emailMessage")
    private String emailMessage;
    @JsonProperty("limits")
    private Object limits;
    @JsonProperty("notarized")
    private Boolean notarized;
    @JsonProperty("notaryRoleId")
    private Object notaryRoleId;
    @JsonProperty("settings")
    private Settings settings;
    @JsonProperty("signedDocumentDelivery")
    private Object signedDocumentDelivery;
    @JsonProperty("trashed")
    private Boolean trashed;
    @JsonProperty("updated")
    private String updated;
    @JsonProperty("completed")
    private Object completed;
    @JsonProperty("consent")
    private Object consent;
    @JsonProperty("due")
    private Object due;
    @JsonProperty("visibility")
    private String visibility;
    @JsonProperty("type")
    private String type;
    @JsonProperty("messages")
    private List<Object> messages = null;
    @JsonProperty("name")
    private String name;
    @JsonProperty("created")
    private String created;
    @JsonProperty("bulkSendable")
    private Boolean bulkSendable;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("roles")
    public List<Role> getRoles() {
        return roles;
    }

    @JsonProperty("roles")
    public void setRoles(List<Role> roles) {
        this.roles = roles;
    }

    @JsonProperty("status")
    public String getStatus() {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(String status) {
        this.status = status;
    }

    @JsonProperty("description")
    public String getDescription() {
        return description;
    }

    @JsonProperty("description")
    public void setDescription(String description) {
        this.description = description;
    }

    @JsonProperty("language")
    public String getLanguage() {
        return language;
    }

    @JsonProperty("language")
    public void setLanguage(String language) {
        this.language = language;
    }

    @JsonProperty("id")
    public String getId() {
        return id;
    }

    @JsonProperty("id")
    public void setId(String id) {
        this.id = id;
    }

    @JsonProperty("data")
    public Data getData() {
        return data;
    }

    @JsonProperty("data")
    public void setData(Data data) {
        this.data = data;
    }

    @JsonProperty("autocomplete")
    public Boolean getAutocomplete() {
        return autocomplete;
    }

    @JsonProperty("autocomplete")
    public void setAutocomplete(Boolean autocomplete) {
        this.autocomplete = autocomplete;
    }

    @JsonProperty("documents")
    public List<Object> getDocuments() {
        return documents;
    }

    @JsonProperty("documents")
    public void setDocuments(List<Object> documents) {
        this.documents = documents;
    }

    @JsonProperty("sender")
    public Sender getSender() {
        return sender;
    }

    @JsonProperty("sender")
    public void setSender(Sender sender) {
        this.sender = sender;
    }

    @JsonProperty("emailMessage")
    public String getEmailMessage() {
        return emailMessage;
    }

    @JsonProperty("emailMessage")
    public void setEmailMessage(String emailMessage) {
        this.emailMessage = emailMessage;
    }

    @JsonProperty("limits")
    public Object getLimits() {
        return limits;
    }

    @JsonProperty("limits")
    public void setLimits(Object limits) {
        this.limits = limits;
    }

    @JsonProperty("notarized")
    public Boolean getNotarized() {
        return notarized;
    }

    @JsonProperty("notarized")
    public void setNotarized(Boolean notarized) {
        this.notarized = notarized;
    }

    @JsonProperty("notaryRoleId")
    public Object getNotaryRoleId() {
        return notaryRoleId;
    }

    @JsonProperty("notaryRoleId")
    public void setNotaryRoleId(Object notaryRoleId) {
        this.notaryRoleId = notaryRoleId;
    }

    @JsonProperty("settings")
    public Settings getSettings() {
        return settings;
    }

    @JsonProperty("settings")
    public void setSettings(Settings settings) {
        this.settings = settings;
    }

    @JsonProperty("signedDocumentDelivery")
    public Object getSignedDocumentDelivery() {
        return signedDocumentDelivery;
    }

    @JsonProperty("signedDocumentDelivery")
    public void setSignedDocumentDelivery(Object signedDocumentDelivery) {
        this.signedDocumentDelivery = signedDocumentDelivery;
    }

    @JsonProperty("trashed")
    public Boolean getTrashed() {
        return trashed;
    }

    @JsonProperty("trashed")
    public void setTrashed(Boolean trashed) {
        this.trashed = trashed;
    }

    @JsonProperty("updated")
    public String getUpdated() {
        return updated;
    }

    @JsonProperty("updated")
    public void setUpdated(String updated) {
        this.updated = updated;
    }

    @JsonProperty("completed")
    public Object getCompleted() {
        return completed;
    }

    @JsonProperty("completed")
    public void setCompleted(Object completed) {
        this.completed = completed;
    }

    @JsonProperty("consent")
    public Object getConsent() {
        return consent;
    }

    @JsonProperty("consent")
    public void setConsent(Object consent) {
        this.consent = consent;
    }

    @JsonProperty("due")
    public Object getDue() {
        return due;
    }

    @JsonProperty("due")
    public void setDue(Object due) {
        this.due = due;
    }

    @JsonProperty("visibility")
    public String getVisibility() {
        return visibility;
    }

    @JsonProperty("visibility")
    public void setVisibility(String visibility) {
        this.visibility = visibility;
    }

    @JsonProperty("type")
    public String getType() {
        return type;
    }

    @JsonProperty("type")
    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("messages")
    public List<Object> getMessages() {
        return messages;
    }

    @JsonProperty("messages")
    public void setMessages(List<Object> messages) {
        this.messages = messages;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("created")
    public String getCreated() {
        return created;
    }

    @JsonProperty("created")
    public void setCreated(String created) {
        this.created = created;
    }

    @JsonProperty("bulkSendable")
    public Boolean getBulkSendable() {
        return bulkSendable;
    }

    @JsonProperty("bulkSendable")
    public void setBulkSendable(Boolean bulkSendable) {
        this.bulkSendable = bulkSendable;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
