
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "id",
    "data",
    "emailMessage",
    "attachmentRequirements",
    "locked",
    "reassign",
    "specialTypes",
    "type",
    "index",
    "signers",
    "name"
})
public class Role {

    @JsonProperty("id")
    private String id;
    @JsonProperty("data")
    private Object data;
    @JsonProperty("emailMessage")
    private Object emailMessage;
    @JsonProperty("attachmentRequirements")
    private List<Object> attachmentRequirements = null;
    @JsonProperty("locked")
    private Boolean locked;
    @JsonProperty("reassign")
    private Boolean reassign;
    @JsonProperty("specialTypes")
    private List<Object> specialTypes = null;
    @JsonProperty("type")
    private String type;
    @JsonProperty("index")
    private Integer index;
    @JsonProperty("signers")
    private List<Signer> signers = null;
    @JsonProperty("name")
    private String name;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("id")
    public String getId() {
        return id;
    }

    @JsonProperty("id")
    public void setId(String id) {
        this.id = id;
    }

    @JsonProperty("data")
    public Object getData() {
        return data;
    }

    @JsonProperty("data")
    public void setData(Object data) {
        this.data = data;
    }

    @JsonProperty("emailMessage")
    public Object getEmailMessage() {
        return emailMessage;
    }

    @JsonProperty("emailMessage")
    public void setEmailMessage(Object emailMessage) {
        this.emailMessage = emailMessage;
    }

    @JsonProperty("attachmentRequirements")
    public List<Object> getAttachmentRequirements() {
        return attachmentRequirements;
    }

    @JsonProperty("attachmentRequirements")
    public void setAttachmentRequirements(List<Object> attachmentRequirements) {
        this.attachmentRequirements = attachmentRequirements;
    }

    @JsonProperty("locked")
    public Boolean getLocked() {
        return locked;
    }

    @JsonProperty("locked")
    public void setLocked(Boolean locked) {
        this.locked = locked;
    }

    @JsonProperty("reassign")
    public Boolean getReassign() {
        return reassign;
    }

    @JsonProperty("reassign")
    public void setReassign(Boolean reassign) {
        this.reassign = reassign;
    }

    @JsonProperty("specialTypes")
    public List<Object> getSpecialTypes() {
        return specialTypes;
    }

    @JsonProperty("specialTypes")
    public void setSpecialTypes(List<Object> specialTypes) {
        this.specialTypes = specialTypes;
    }

    @JsonProperty("type")
    public String getType() {
        return type;
    }

    @JsonProperty("type")
    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("index")
    public Integer getIndex() {
        return index;
    }

    @JsonProperty("index")
    public void setIndex(Integer index) {
        this.index = index;
    }

    @JsonProperty("signers")
    public List<Signer> getSigners() {
        return signers;
    }

    @JsonProperty("signers")
    public void setSigners(List<Signer> signers) {
        this.signers = signers;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
