
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "status",
    "language",
    "signature",
    "id",
    "data",
    "account",
    "title",
    "external",
    "updated",
    "memberships",
    "phone",
    "professionalIdentityFields",
    "userCustomFields",
    "locked",
    "activated",
    "company",
    "email",
    "firstName",
    "lastName",
    "type",
    "name",
    "address",
    "created",
    "specialTypes",
    "hasDelegates"
})
public class Sender {

    @JsonProperty("status")
    private String status;
    @JsonProperty("language")
    private String language;
    @JsonProperty("signature")
    private Signature signature;
    @JsonProperty("id")
    private String id;
    @JsonProperty("data")
    private Data_ data;
    @JsonProperty("account")
    private Object account;
    @JsonProperty("title")
    private Object title;
    @JsonProperty("external")
    private Object external;
    @JsonProperty("updated")
    private String updated;
    @JsonProperty("memberships")
    private List<Object> memberships = null;
    @JsonProperty("phone")
    private String phone;
    @JsonProperty("professionalIdentityFields")
    private List<Object> professionalIdentityFields = null;
    @JsonProperty("userCustomFields")
    private List<UserCustomField> userCustomFields = null;
    @JsonProperty("locked")
    private Object locked;
    @JsonProperty("activated")
    private Object activated;
    @JsonProperty("company")
    private String company;
    @JsonProperty("email")
    private String email;
    @JsonProperty("firstName")
    private String firstName;
    @JsonProperty("lastName")
    private String lastName;
    @JsonProperty("type")
    private String type;
    @JsonProperty("name")
    private String name;
    @JsonProperty("address")
    private Object address;
    @JsonProperty("created")
    private String created;
    @JsonProperty("specialTypes")
    private List<Object> specialTypes = null;
    @JsonProperty("hasDelegates")
    private Boolean hasDelegates;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("status")
    public String getStatus() {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(String status) {
        this.status = status;
    }

    @JsonProperty("language")
    public String getLanguage() {
        return language;
    }

    @JsonProperty("language")
    public void setLanguage(String language) {
        this.language = language;
    }

    @JsonProperty("signature")
    public Signature getSignature() {
        return signature;
    }

    @JsonProperty("signature")
    public void setSignature(Signature signature) {
        this.signature = signature;
    }

    @JsonProperty("id")
    public String getId() {
        return id;
    }

    @JsonProperty("id")
    public void setId(String id) {
        this.id = id;
    }

    @JsonProperty("data")
    public Data_ getData() {
        return data;
    }

    @JsonProperty("data")
    public void setData(Data_ data) {
        this.data = data;
    }

    @JsonProperty("account")
    public Object getAccount() {
        return account;
    }

    @JsonProperty("account")
    public void setAccount(Object account) {
        this.account = account;
    }

    @JsonProperty("title")
    public Object getTitle() {
        return title;
    }

    @JsonProperty("title")
    public void setTitle(Object title) {
        this.title = title;
    }

    @JsonProperty("external")
    public Object getExternal() {
        return external;
    }

    @JsonProperty("external")
    public void setExternal(Object external) {
        this.external = external;
    }

    @JsonProperty("updated")
    public String getUpdated() {
        return updated;
    }

    @JsonProperty("updated")
    public void setUpdated(String updated) {
        this.updated = updated;
    }

    @JsonProperty("memberships")
    public List<Object> getMemberships() {
        return memberships;
    }

    @JsonProperty("memberships")
    public void setMemberships(List<Object> memberships) {
        this.memberships = memberships;
    }

    @JsonProperty("phone")
    public String getPhone() {
        return phone;
    }

    @JsonProperty("phone")
    public void setPhone(String phone) {
        this.phone = phone;
    }

    @JsonProperty("professionalIdentityFields")
    public List<Object> getProfessionalIdentityFields() {
        return professionalIdentityFields;
    }

    @JsonProperty("professionalIdentityFields")
    public void setProfessionalIdentityFields(List<Object> professionalIdentityFields) {
        this.professionalIdentityFields = professionalIdentityFields;
    }

    @JsonProperty("userCustomFields")
    public List<UserCustomField> getUserCustomFields() {
        return userCustomFields;
    }

    @JsonProperty("userCustomFields")
    public void setUserCustomFields(List<UserCustomField> userCustomFields) {
        this.userCustomFields = userCustomFields;
    }

    @JsonProperty("locked")
    public Object getLocked() {
        return locked;
    }

    @JsonProperty("locked")
    public void setLocked(Object locked) {
        this.locked = locked;
    }

    @JsonProperty("activated")
    public Object getActivated() {
        return activated;
    }

    @JsonProperty("activated")
    public void setActivated(Object activated) {
        this.activated = activated;
    }

    @JsonProperty("company")
    public String getCompany() {
        return company;
    }

    @JsonProperty("company")
    public void setCompany(String company) {
        this.company = company;
    }

    @JsonProperty("email")
    public String getEmail() {
        return email;
    }

    @JsonProperty("email")
    public void setEmail(String email) {
        this.email = email;
    }

    @JsonProperty("firstName")
    public String getFirstName() {
        return firstName;
    }

    @JsonProperty("firstName")
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    @JsonProperty("lastName")
    public String getLastName() {
        return lastName;
    }

    @JsonProperty("lastName")
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    @JsonProperty("type")
    public String getType() {
        return type;
    }

    @JsonProperty("type")
    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("address")
    public Object getAddress() {
        return address;
    }

    @JsonProperty("address")
    public void setAddress(Object address) {
        this.address = address;
    }

    @JsonProperty("created")
    public String getCreated() {
        return created;
    }

    @JsonProperty("created")
    public void setCreated(String created) {
        this.created = created;
    }

    @JsonProperty("specialTypes")
    public List<Object> getSpecialTypes() {
        return specialTypes;
    }

    @JsonProperty("specialTypes")
    public void setSpecialTypes(List<Object> specialTypes) {
        this.specialTypes = specialTypes;
    }

    @JsonProperty("hasDelegates")
    public Boolean getHasDelegates() {
        return hasDelegates;
    }

    @JsonProperty("hasDelegates")
    public void setHasDelegates(Boolean hasDelegates) {
        this.hasDelegates = hasDelegates;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
