
package com.unionbank.eip.esign.model.onespan;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "group",
    "language",
    "signature",
    "id",
    "delivery",
    "knowledgeBasedAuthentication",
    "auth",
    "data",
    "title",
    "external",
    "updated",
    "phone",
    "professionalIdentityFields",
    "userCustomFields",
    "company",
    "email",
    "firstName",
    "lastName",
    "name",
    "address",
    "created",
    "specialTypes"
})
public class Signer {

    @JsonProperty("group")
    private Object group;
    @JsonProperty("language")
    private String language;
    @JsonProperty("signature")
    private Object signature;
    @JsonProperty("id")
    private String id;
    @JsonProperty("delivery")
    private Delivery delivery;
    @JsonProperty("knowledgeBasedAuthentication")
    private Object knowledgeBasedAuthentication;
    @JsonProperty("auth")
    private Auth auth;
    @JsonProperty("data")
    private Object data;
    @JsonProperty("title")
    private String title;
    @JsonProperty("external")
    private Object external;
    @JsonProperty("updated")
    private String updated;
    @JsonProperty("phone")
    private String phone;
    @JsonProperty("professionalIdentityFields")
    private List<Object> professionalIdentityFields = null;
    @JsonProperty("userCustomFields")
    private List<Object> userCustomFields = null;
    @JsonProperty("company")
    private String company;
    @JsonProperty("email")
    private String email;
    @JsonProperty("firstName")
    private String firstName;
    @JsonProperty("lastName")
    private String lastName;
    @JsonProperty("name")
    private String name;
    @JsonProperty("address")
    private Object address;
    @JsonProperty("created")
    private String created;
    @JsonProperty("specialTypes")
    private List<Object> specialTypes = null;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("group")
    public Object getGroup() {
        return group;
    }

    @JsonProperty("group")
    public void setGroup(Object group) {
        this.group = group;
    }

    @JsonProperty("language")
    public String getLanguage() {
        return language;
    }

    @JsonProperty("language")
    public void setLanguage(String language) {
        this.language = language;
    }

    @JsonProperty("signature")
    public Object getSignature() {
        return signature;
    }

    @JsonProperty("signature")
    public void setSignature(Object signature) {
        this.signature = signature;
    }

    @JsonProperty("id")
    public String getId() {
        return id;
    }

    @JsonProperty("id")
    public void setId(String id) {
        this.id = id;
    }

    @JsonProperty("delivery")
    public Delivery getDelivery() {
        return delivery;
    }

    @JsonProperty("delivery")
    public void setDelivery(Delivery delivery) {
        this.delivery = delivery;
    }

    @JsonProperty("knowledgeBasedAuthentication")
    public Object getKnowledgeBasedAuthentication() {
        return knowledgeBasedAuthentication;
    }

    @JsonProperty("knowledgeBasedAuthentication")
    public void setKnowledgeBasedAuthentication(Object knowledgeBasedAuthentication) {
        this.knowledgeBasedAuthentication = knowledgeBasedAuthentication;
    }

    @JsonProperty("auth")
    public Auth getAuth() {
        return auth;
    }

    @JsonProperty("auth")
    public void setAuth(Auth auth) {
        this.auth = auth;
    }

    @JsonProperty("data")
    public Object getData() {
        return data;
    }

    @JsonProperty("data")
    public void setData(Object data) {
        this.data = data;
    }

    @JsonProperty("title")
    public String getTitle() {
        return title;
    }

    @JsonProperty("title")
    public void setTitle(String title) {
        this.title = title;
    }

    @JsonProperty("external")
    public Object getExternal() {
        return external;
    }

    @JsonProperty("external")
    public void setExternal(Object external) {
        this.external = external;
    }

    @JsonProperty("updated")
    public String getUpdated() {
        return updated;
    }

    @JsonProperty("updated")
    public void setUpdated(String updated) {
        this.updated = updated;
    }

    @JsonProperty("phone")
    public String getPhone() {
        return phone;
    }

    @JsonProperty("phone")
    public void setPhone(String phone) {
        this.phone = phone;
    }

    @JsonProperty("professionalIdentityFields")
    public List<Object> getProfessionalIdentityFields() {
        return professionalIdentityFields;
    }

    @JsonProperty("professionalIdentityFields")
    public void setProfessionalIdentityFields(List<Object> professionalIdentityFields) {
        this.professionalIdentityFields = professionalIdentityFields;
    }

    @JsonProperty("userCustomFields")
    public List<Object> getUserCustomFields() {
        return userCustomFields;
    }

    @JsonProperty("userCustomFields")
    public void setUserCustomFields(List<Object> userCustomFields) {
        this.userCustomFields = userCustomFields;
    }

    @JsonProperty("company")
    public String getCompany() {
        return company;
    }

    @JsonProperty("company")
    public void setCompany(String company) {
        this.company = company;
    }

    @JsonProperty("email")
    public String getEmail() {
        return email;
    }

    @JsonProperty("email")
    public void setEmail(String email) {
        this.email = email;
    }

    @JsonProperty("firstName")
    public String getFirstName() {
        return firstName;
    }

    @JsonProperty("firstName")
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    @JsonProperty("lastName")
    public String getLastName() {
        return lastName;
    }

    @JsonProperty("lastName")
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("address")
    public Object getAddress() {
        return address;
    }

    @JsonProperty("address")
    public void setAddress(Object address) {
        this.address = address;
    }

    @JsonProperty("created")
    public String getCreated() {
        return created;
    }

    @JsonProperty("created")
    public void setCreated(String created) {
        this.created = created;
    }

    @JsonProperty("specialTypes")
    public List<Object> getSpecialTypes() {
        return specialTypes;
    }

    @JsonProperty("specialTypes")
    public void setSpecialTypes(List<Object> specialTypes) {
        this.specialTypes = specialTypes;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
